TriggerException
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava
Class TriggerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.postgresql.pljava.TriggerException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

    public class TriggerException

extends java.sql.SQLException

An exception specially suited to be thrown from within a method designated to be a trigger function. The message generated by this exception will contain information on what trigger and what relation it was that caused the exception

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TRIGGER_ACTION_EXCEPTION`

Constructor Summary
`TriggerException(TriggerData td)` Create an exception based on the `TriggerData` that was passed to the trigger method.
`TriggerException(TriggerData td, java.lang.String reason)` Create an exception based on the `TriggerData` that was passed to the trigger method and an additional message.

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRIGGER_ACTION_EXCEPTION

    public static final java.lang.String TRIGGER_ACTION_EXCEPTION

See Also:
  Constant Field Values

Constructor Detail

### TriggerException

    public TriggerException(TriggerData td)

  Create an exception based on the `TriggerData` that was passed to the trigger method.

  Parameters:
    `td` - The `TriggerData` that was passed to the trigger method.

### TriggerException

    public TriggerException(TriggerData td,
                            java.lang.String reason)

  Create an exception based on the `TriggerData` that was passed to the trigger method and an additional message.

  Parameters:
    `td` - The `TriggerData` that was passed to the trigger method.
    `reason` - An additional message with info about the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT